> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Esim Packages By Slug

GET https://api.simjuno.com/v1/esims/packages/{slug}

Get packages by slug

Reference: https://docs.simjuno.com/api-reference/esims/esim-packages-by-slug

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /esims/packages/{slug}:
    get:
      operationId: esim-packages-by-slug
      summary: Esim Packages By Slug
      description: Get packages by slug
      tags:
        - esims
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
        - name: topUp
          in: query
          required: false
          schema:
            type: boolean
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/esims_esim-packages-bySlug_Response_200'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSmsStatus:
      oneOf:
        - type: number
          format: double
        - type: number
          format: double
        - type: number
          format: double
      title: EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSmsStatus
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaDataType:
      oneOf:
        - type: number
          format: double
        - type: number
          format: double
        - type: number
          format: double
        - type: number
          format: double
      title: EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaDataType
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaActiveType:
      oneOf:
        - type: number
          format: double
        - type: number
          format: double
      title: EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaActiveType
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaLocationNetworkListItemsOperatorListItems:
      type: object
      properties:
        operatorName:
          type: string
        networkType:
          type: string
      required:
        - operatorName
        - networkType
      title: >-
        EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaLocationNetworkListItemsOperatorListItems
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaLocationNetworkListItems:
      type: object
      properties:
        locationName:
          type: string
        locationLogo:
          type: string
        locationCode:
          type: string
        operatorList:
          type: array
          items:
            $ref: >-
              #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaLocationNetworkListItemsOperatorListItems
      required:
        - locationName
        - locationLogo
      title: >-
        EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaLocationNetworkListItems
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSupportTopUpType:
      oneOf:
        - type: number
          format: double
        - type: number
          format: double
      title: >-
        EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSupportTopUpType
    EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSubLocationListItems:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
      required:
        - code
        - name
      title: >-
        EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSubLocationListItems
    esims_esim-packages-bySlug_Response_200:
      type: object
      properties:
        packageCode:
          type: string
        slug:
          type: string
        name:
          type: string
        price:
          type: number
          format: double
        currencyCode:
          type: string
        volume:
          type: number
          format: double
        smsStatus:
          $ref: >-
            #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSmsStatus
        dataType:
          $ref: >-
            #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaDataType
        unusedValidTime:
          type: number
          format: double
        duration:
          type: number
          format: double
        durationUnit:
          type: string
        location:
          type: string
        description:
          type: string
        activeType:
          $ref: >-
            #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaActiveType
        speed:
          type: string
        locationNetworkList:
          type: array
          items:
            $ref: >-
              #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaLocationNetworkListItems
        ipExport:
          type: string
        supportTopUpType:
          $ref: >-
            #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSupportTopUpType
        fupPolicy:
          type: string
        subLocationList:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/EsimsPackagesSlugGetResponsesContentApplicationJsonSchemaSubLocationListItems
      required:
        - packageCode
        - slug
        - name
        - price
        - currencyCode
        - volume
        - smsStatus
        - dataType
        - unusedValidTime
        - duration
        - durationUnit
        - location
        - description
        - activeType
        - speed
        - locationNetworkList
        - ipExport
        - supportTopUpType
      title: esims_esim-packages-bySlug_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorNotFoundIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorNotFoundIssuesItems
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorNotFoundIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.NOT_FOUND
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Response**

```json
{
  "packageCode": "string",
  "slug": "string",
  "name": "string",
  "price": 1.1,
  "currencyCode": "string",
  "volume": 1.1,
  "smsStatus": 0,
  "dataType": 1,
  "unusedValidTime": 1.1,
  "duration": 1.1,
  "durationUnit": "string",
  "location": "string",
  "description": "string",
  "activeType": 1,
  "speed": "string",
  "locationNetworkList": [
    {
      "locationName": "string",
      "locationLogo": "string",
      "locationCode": "string",
      "operatorList": [
        {
          "operatorName": "string",
          "networkType": "string"
        }
      ]
    }
  ],
  "ipExport": "string",
  "supportTopUpType": 1,
  "fupPolicy": "string",
  "subLocationList": [
    {
      "code": "string",
      "name": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/esims/packages/slug"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/esims/packages/slug';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/esims/packages/slug"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/esims/packages/slug")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/esims/packages/slug")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/esims/packages/slug', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/esims/packages/slug");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/esims/packages/slug")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```